Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy
Interface I_GameStats

All Known Implementing Classes:
  M_GameEngine, M_GraphixEngineUI, M_Main

    public interface I_GameStats

Version:
  $Revision: 1.5 $
Author:
  roland *

Field Summary
`static int` | `GAME_ABBORT` ends the current running game in a gently way, but the program is still running
`static int` | `GAME_INIT` init of the game, is done before the game can be started
`static int` | `GAME_PAUSE` if the game is running and it should be paused, this function stops the current calculation process. but it is waited until the actual player ends his thinking phases and updates the world one more time.
`static int` | `GAME_RECOVER` recover a game that was safed before
`static int` | `GAME_RUNNING` the game runs.. what else?
`static int` | `GAME_SAFE` Safe the current game
`static int` | `PROG_END` if the program should be ended, use this state.
`static int` | `PROG_INIT` first initialization of the program. is done only once

Field Detail

### PROG_INIT

    static final int PROG_INIT

  first initialization of the program. is done only once

  See Also:
    Constant Field Values

### PROG_END

    static final int PROG_END

  if the program should be ended, use this state.

  See Also:
    Constant Field Values

### GAME_INIT

    static final int GAME_INIT

  init of the game, is done before the game can be started

  See Also:
    Constant Field Values

### GAME_RUNNING

    static final int GAME_RUNNING

  the game runs.. what else? :D if the game is Paused, this is the state to reset the pause to normal running state.

  See Also:
    Constant Field Values

### GAME_PAUSE

    static final int GAME_PAUSE

  if the game is running and it should be paused, this function stops the current calculation process. but it is waited until the actual player ends his thinking phases and updates the world one more time. after pause ended, the next cycle starts with the calculation of the next player. If you need an absolute pause at this moment, use imergancyPause().

  See Also:
    Constant Field Values

### GAME_SAFE

    static final int GAME_SAFE

  Safe the current game

  See Also:
    Constant Field Values

### GAME_RECOVER

    static final int GAME_RECOVER

  recover a game that was safed before

  See Also:
    Constant Field Values

### GAME_ABBORT

    static final int GAME_ABBORT

  ends the current running game in a gently way, but the program is still running

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD